Subject: STRING Structure

From: Andrew Ng <[email-masked]>
Date: Thu, 27 Jan 2000 16:49:07 -0500 (EST)

Hello ....

  I am writing some email application and one thing I
want to do is save a message to the "Sent" folder
after the message has been sent.

  I looked up the c-client interface and there is a
function called mail_append.  One of the arguments in
this function is a STRING structure which is a STRING
structure of message to write.  Therefore I wrote the
following code to try to mimic what I want to do but
ran into problems, can someone please tell me what
have I done wrong.  Thanx

string mail;  // content of actual mail
mail = "Test"; // assign mail to some content
STRING *message; // pointer to STRING structure

// initialize STRING structure to store mail
mail_string_init(message, mail.c_str(),
mail.length());

// append the message to the "Sent" folder, assume
that
//   stream_ is opened successfully.
mail_append(stream_, "Sent", message);

Any help is appreciated.
Thanx
Andrew

_______________________________________________________
Do You Yahoo!?
Get your free @yahoo.ca address at http://mail.yahoo.ca
-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------